Report
Get telephony line details
GET /report/telephonyLine/{lineId}
GET /report/telephonyLine/{lineId}
Returns detailed information about a specific telephony line (subchannel) including voicebot configuration and connected phone numbers.
Path parameters
lineIdintegerpathrequiredThe ID of the telephony line (subchannel)
Responses
200 — Successful operation
Response Example
{
"data": {
"id": 11,
"name": "ACD Bot-to-Agent",
"status": "active",
"liveOverview": {
"inQueue": 3,
"ongoingAiCalls": 4,
"agentsConnected": 3
},
"phoneNumbers": {
"inbound": [
{
"id": "0dfe1e36-8145-4940-b41b-f4156447d2be",
"number": "+4930754358631"
}
],
"outbound": {
"id": "0dfe1e36-8145-4940-b41b-f4156447d2be",
"number": "+4930754358631"
}
},
"liveCalls": [
{
"callId": "550e8400-e29b-41d4-a716-446655440000",
"ticketId": 12345,
"from": "+4930754358631",
"state": "human",
"agentUserId": 42,
"agentName": "Jenny Kaspar",
"durationSeconds": 30
}
]
},
"description": "Detailed information about a specific telephony line including voicebot configuration and connected phone numbers.",
"filters": []
}403 — Unauthorized
404 — Telephony line not found
500 — Internal error